質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

受付中

[python]モジュールがインストールができない

ttmm
ttmm

総合スコア0

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

2回答

0評価

0クリップ

9580閲覧

投稿2018/03/01 01:00

python3.6.4にdlib、pickle、tensorflowをインストールをしたいのですが
うまくいきません。以前、pythonのバージョン(以前は3.5)が違ういましたが、同じ方法で入ったので
なぜだかよくわかりません。

pip install ****(***は入れたいモジュール名)
C:\Users>pip install dlib Collecting dlib Using cached dlib-19.9.0.tar.gz Building wheels for collected packages: dlib Running setup.py bdist_wheel for dlib ... error Failed building wheel for dlib Running setup.py clean for dlib Failed to build dlib Installing collected packages: dlib Running setup.py install for dlib ... error Exception: Traceback (most recent call last): File "C:\Users\AppData\Local\Continuum\Anaconda3_5\lib\site-packages\pi p\compat\__init__.py", line 73, in console_to_str return s.decode(sys.__stdout__.encoding) UnicodeDecodeError: 'utf-8' codec can't decode byte 0x8e in position 32: invalid start byte During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Users\AppData\Local\Continuum\Anaconda3_5\lib\site-packages\pi p\basecommand.py", line 215, in main status = self.run(options, args) File "C:\Users\AppData\Local\Continuum\Anaconda3_5\lib\site-packages\pi p\commands\install.py", line 342, in run prefix=options.prefix_path, File "C:\Users\AppData\Local\Continuum\Anaconda3_5\lib\site-packages\pi p\req\req_set.py", line 784, in install **kwargs File "C:\Users\AppData\Local\Continuum\Anaconda3_5\lib\site-packages\pi p\req\req_install.py", line 878, in install spinner=spinner, File "C:\Users\AppData\Local\Continuum\Anaconda3_5\lib\site-packages\pi p\utils\__init__.py", line 676, in call_subprocess line = console_to_str(proc.stdout.readline()) File "C:\Users\AppData\Local\Continuum\Anaconda3_5\lib\site-packages\pi p\compat\__init__.py", line 75, in console_to_str return s.decode('utf_8') UnicodeDecodeError: 'utf-8' codec can't decode byte 0x8e in position 32: invalid start byte C:\Users>pip install pickle Collecting pickle Could not find a version that satisfies the requirement pickle (from versions: ) No matching distribution found for pickle

pikleとtensorflowは同じエラーです。
対処法をご存じの方がいらっしゃいましたら教えてください。

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

umyu
umyu

2018/03/01 06:38 編集

> C:\\Users\\AppData\\Local\\Continuum\\Anaconda3_5\\ Anaconda 3\.5 = Python 3\.5環境に見受けられますが、質問文のpython 3\.6\.4環境はどのような手順でインストールを行いましたか?
ttmm
ttmm

2018/03/06 05:54

https://www\.anaconda\.com/download/からpython3\.6\.4をインストールしました。3\.5にダウングレードして入れてみようとも思ったのでフォルダ名をAnaconda3_5にしてしまいました。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。